Lấy danh sách mẫu thêu đắp vải (fabric patterns)
curl --request GET \
--url https://seller.hogotopod.com/api/v1/partner/fabrics \
--header 'X-Tenant: <api-key>'const options = {method: 'GET', headers: {'X-Tenant': '<api-key>'}};
fetch('https://seller.hogotopod.com/api/v1/partner/fabrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller.hogotopod.com/api/v1/partner/fabrics"
headers = {"X-Tenant": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://seller.hogotopod.com/api/v1/partner/fabrics")
.header("X-Tenant", "<api-key>")
.asString();[
{
"categories": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"code": "<string>",
"description": "<string>",
"id": "<string>",
"image": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"stitchCount": 123,
"threadColorCount": 123,
"url": "<string>"
},
"name": "<string>",
"orderNo": 123,
"sku": "<string>",
"status": "DISABLED",
"thumbnailUrl": "<string>"
}
]Catalogs & Options
Lấy danh sách mẫu thêu đắp vải (fabric patterns)
Tương đương GET /v1/fabric trên portal. Gửi code vào designAttachments.fabricPatterns (nhiều mã cách nhau bởi dấu phẩy). Dùng kèm fee CHOOSE_PATTERN_FABRIC.
GET
/
v1
/
partner
/
fabrics
Lấy danh sách mẫu thêu đắp vải (fabric patterns)
curl --request GET \
--url https://seller.hogotopod.com/api/v1/partner/fabrics \
--header 'X-Tenant: <api-key>'const options = {method: 'GET', headers: {'X-Tenant': '<api-key>'}};
fetch('https://seller.hogotopod.com/api/v1/partner/fabrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller.hogotopod.com/api/v1/partner/fabrics"
headers = {"X-Tenant": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://seller.hogotopod.com/api/v1/partner/fabrics")
.header("X-Tenant", "<api-key>")
.asString();[
{
"categories": [
{
"code": "<string>",
"color": "<string>",
"data": {},
"description": "<string>",
"descriptionTranslations": {},
"group": "<string>",
"name": "<string>",
"nameTranslations": {}
}
],
"code": "<string>",
"description": "<string>",
"id": "<string>",
"image": {
"contentType": "<string>",
"name": "<string>",
"size": 123,
"sizeName": "<string>",
"stitchCount": 123,
"threadColorCount": 123,
"url": "<string>"
},
"name": "<string>",
"orderNo": 123,
"sku": "<string>",
"status": "DISABLED",
"thumbnailUrl": "<string>"
}
]Authorizations
X-TenantX-API-Key